Jump to content
knut4shop

Shopversionen nicht identisch mit Datenbank

Recommended Posts

Hallo an alle, 

ich habe ein Update innerhalb von PS 1.7.x auf die aktuelle Version 1.7.3.4 auf Grundlage des online manuals durchgeführt. Beim Upgrade der Datenbank wurde mir der Errorcode 32  (No upgrade needs to be applied.) ausgegeben. Nach dem Update gab es keine Auffälligkeiten, alles funktioniert normal. Was ich nur nicht verstehe ist, das ich im Backend eine andere Versionsnummer des Shops angezeigt bekommt, als in der Datenbank gespeichert ist. 

Backend:

Prestashop-Version 1.7.3.4

 

Datenbank:

PS_INSTALL_VERSION 1.7.3.1

PS_VERSION_DB 1.7.3.1

 

Ich glaube, da stimmt was nicht oder was mein ihr dazu?

Share this post


Link to post
Share on other sites

Anscheinend wurde die Datenbank bei deinem Update nicht geupdated. Das kann zu Problemen führen wenn neue Einträge gemacht werden (neuer Kunde, neuer Artikel, neue Bestellung), muss aber nicht. Wenn sich bei dem Vesionssprung nichts an der Datenbank getan hat kann es auch funktionieren.

Share this post


Link to post
Share on other sites

1.7.3.4 ist aber nicht die aktuelle Version, meines Wissens 1.7.4.2!

Share this post


Link to post
Share on other sites

Er hat nicht geschrieben das er das Update gestern gemacht hat aber ganz aktuell wäre heute sogar 1.7.4.3.

Bevor man auf einer Korrupten Version aufbaut, würde ich das Update dann aber eher per Backup rückgängig machen und dann die wirklich aktuelle installieren.

Share this post


Link to post
Share on other sites

Hallo,

danke für eure Antworten. Im Umkehrschluss heißt das nun, dass mein Upgrade nicht funktioniert hat und ich erstmal die DB auf das Level von 1.7.3.4 bringen muss um nun die aktuelle Version einzuspielen? 

 

EDIT:

Ein Backup wieder herstellen, wäre jetzt nicht das Problem. Würde aber mehr Zeit in Anspruch nehmen, als ein Update auf die aktuellste Version. Da ich ja innerhalb der Major bin, sollte er die DB ja nachziehen können oder?

 

Edited by knut4shop
Antwort auf Shad86 (see edit history)

Share this post


Link to post
Share on other sites

Sollte, aber hat er vorher ja auch nicht geschafft. Wenn du das Backup hast, mach ein Update und prüfe ob wirklich alles läuft. Vielleicht hast du Glück. Willst du auf nummer sicher gehen, sorgst du dafür das der Shop erst wieder Repariert ist bevor du das Update einspielst.

Als Beispiel: Wenn eine Datei (warum auch immer) defekt ist und dein Update deshalb nicht funktioniert hat, wird der gleiche Fehler auch beim nächsten Update passieren ODER das Update funktioniert, überschreibt aber ausgerechnet die defekte Datei nicht, also ziehst du den Fehler (wer weiß was dieser noch mit sich zieht) weiter durch die Versionen durch. Also ICH würde den Shop erst reparieren dann Updaten aber du kannst es auch einfach probieren wenn du Backups hast.

Share this post


Link to post
Share on other sites

Hallo noch mal an alle,

ich habe gerade gesehen warum das Datenbankupgrade nicht ausgeführt wurde. Es liegt schlichtweg daran, dass es wohl keins gab. Im Ordner install/upgrade/sql ist bei 1.7.3.0.sql schluss. Im aktuellem Paket ist bei Version 1.7.4.2 schluss.

@shad86

Die Datenbank wäre also (sofern ich mit meiner Ausführung richtig liege) nicht korrupt. Es müssten nur die values für PS_VERSION_DB und PS_INSTALL_VERSION einfach aktualisiert werden.

 

Stimmt ihr mir zu oder liege ich falsch?

Edited by knut4shop
korrektur (see edit history)

Share this post


Link to post
Share on other sites

Die beiden Einträge in der Datenbank würde er ja bei einem erneuten Update eh aktualisieren (oder meckern das die nicht übereinstimmen falls das geprüft wird).

Wie gesagt, wenn du ein Backup hast, hast du nichts zu verlieren. Du siehst ja generell ob das Update ohne Fehlermeldung durchläuft.

Share this post


Link to post
Share on other sites

Alles klar Shad86, no risk no fun. Ich werde einfach das Update über meine aktuelle Version installieren und sehen was daraus wird. Wenn es schief läuft, dann ist eben ein größerer recover angesagt. Aber grundsätzlich gehe ich mal davon aus, dass ich das mit eurer Hilfe korrekt analysiert habe. Denn Fehler kann ich bei weitem nicht feststellen. 

 

Ich werde auf jeden Fall Feedback geben.

Danke

Edited by knut4shop
Korrektur (Wort) (see edit history)

Share this post


Link to post
Share on other sites

Ansonsten für die Zukunft, guck ob du deinen Shop clonen kannst, dann hast du einen Testshop für solche Sachen. Da kannst du beherzt Updates draufziehen und vorher testen ob vielleicht irgendeins deiner Module oder dein Theme ein Problem verursacht. Und kannst dich im Fall der Fälle in Ruhe um eine Lösung kümmern die du dann auch im Liveshop übernehmen kannst wenn du den dann updatest.

Share this post


Link to post
Share on other sites

Sorry,das habe ich nicht erwähnt.  Ich spreche bei der ganzen Geschichte auch nicht von einem Produktivsystem. Das ganze findet isoliert vom Produktivsystem statt. Für mich vollkommen klar, dass man am livesystem nichts "versucht".

Bis dahin ;)

 

Share this post


Link to post
Share on other sites

Ist leider nicht jedem klar ;-)

Aber perfekt, dann kannst du ja definitiv einfach mal probieren.

Share this post


Link to post
Share on other sites

Hallo Shad, 

hat alles super funktioniert. Ist also genauso, wie wir das analysiert haben. Aktuelle Version jetzt: 1.7.4.3 (PS_INSTALL_VERSION, PS_VERSION_DB).

Share this post


Link to post
Share on other sites

Hallo Shad86,

hat gepasst. Genau wie wir es analysiert/vermutet haben. Die DB Version wird nicht aktualisiert, wenn es keine Schemaänderungen gibt. 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More